---
title: Element.className
slug: Web/API/Element/className
tags:
  - API
  - DOM
  - Gecko
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>className</strong></code> property of the {{domxref("Element")}} interface gets and sets the value of the <a href="/en-US/docs/Web/HTML/Global_attributes/class"><code>class</code> attribute</a> of the specified element.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>var cName</var> = <var>elementNodeReference</var>.className;
<var>elementNodeReference</var>.className = <var>cName</var>;</pre>

<ul>
 <li><code>cName</code> is a string variable representing the class or space-separated classes of the current element.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">let el = document.getElementById('item');

if (el.className === 'active'){
  el.className = 'inactive';
} else {
  el.className = 'active';
}</pre>

<h2 id="Notes">Notes</h2>

<p>The name <code>className</code> is used for this property instead of <code>class</code> because of conflicts with the "class" keyword in many languages which are used to manipulate the DOM.</p>

<p><code>className</code> can also be an instance of {{domxref("SVGAnimatedString")}} if the <code>element</code> is an {{domxref("SVGElement")}}. It is better to get/set the <code>className</code> of an element using {{domxref("Element.getAttribute")}} and {{domxref("Element.setAttribute")}} if you are dealing with SVG elements. However, take into account that {{domxref("Element.getAttribute")}} returns <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/null">null</a></code> instead of <code>""</code> if the <code>element</code> has an empty <a href="/en-US/docs/Web/HTML/Global_attributes/class"><code>class</code> attribute</a>.</p>

<pre class="brush: js">elm.setAttribute('class', elm.getAttribute('class'))</pre>

<div class="note">
<p>The <code>class</code> is an <strong>HTML Attribute</strong>, while the <code>className</code> is a <strong>DOM Property</strong>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#dom-element-classname", "element.className")}}</td>
   <td>{{Spec2("DOM WHATWG")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("DOM4", "#dom-element-classname", "element.className")}}</td>
   <td>{{Spec2("DOM4")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("DOM2 HTML", "html.html#ID-95362176", "element.className")}}</td>
   <td>{{Spec2("DOM2 HTML")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.className")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("element.classList")}}</li>
</ul>
